package com.qmth.themis.business.enums;

import com.google.common.collect.Maps;

import java.util.Arrays;
import java.util.List;
import java.util.Objects;

/**
 * @Description: 预警类型 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/29
 */
public enum WarningEnum {

    FACE_COUNT_ERROR("人脸数量异常", Arrays.asList("D4", "D8")),

    FACE_COMPARE_ERROR("人脸比对异常", Arrays.asList("D6", "D14")),

    EYE_CLOSE_ERROR("闭眼检测异常", Arrays.asList("-1")),

    LIVENESS_ACTION_ERROR("活检动作错误", Arrays.asList("-1")),

    NONE("无异常", Arrays.asList("-1")),

    REALNESS("真实性检测", Arrays.asList("D15"));

    private String code;

    private List<String> level;

    private WarningEnum(String code, List<String> level) {
        this.code = code;
        this.level = level;
    }

    public String getCode() {
        return code;
    }

    public List<String> getLevel() {
        return level;
    }
}
